public class LengthDist implements ProbDist {
    private static final double coef = (6.0 / (Math.PI * Math.PI));
    public double density(double x)
    {
	double s = Math.sinh(x);
	if (x < 0.0)
	    return 0.0;
	if (x < 0.000001)
	    return coef;
	return (coef * x * x / (s * s));
    }
}
